libcdr::CDRImage Struct Reference

`#include <CDRTypes.h>`

## Public Member Functions

| CDRImage ()
| CDRImage (const librevenge::RVNGBinaryData &image, double x1, double x2, double y1, double y2)
double | getMiddleX () const
double | getMiddleY () const
const librevenge::RVNGBinaryData & | getImage () const

## Public Attributes

librevenge::RVNGBinaryData | m_image
double | m_x1
double | m_x2
double | m_y1
double | m_y2

## Constructor & Destructor Documentation

## CDRImage() [1/2]

libcdr::CDRImage::CDRImage | ( |  | ) |

inline

## CDRImage() [2/2]

libcdr::CDRImage::CDRImage | ( | const librevenge::RVNGBinaryData & | image,
|  | double | x1,
|  | double | x2,
|  | double | y1,
|  | double | y2 )

inline

## Member Function Documentation

## getImage()

const librevenge::RVNGBinaryData & libcdr::CDRImage::getImage | ( |  | ) | const

inline

## getMiddleX()

double libcdr::CDRImage::getMiddleX | ( |  | ) | const

inline

## getMiddleY()

double libcdr::CDRImage::getMiddleY | ( |  | ) | const

inline

## Member Data Documentation

## m_image

librevenge::RVNGBinaryData libcdr::CDRImage::m_image

Referenced by CDRImage(), CDRImage(), and getImage().

## m_x1

double libcdr::CDRImage::m_x1

Referenced by CDRImage(), CDRImage(), and getMiddleX().

## m_x2

double libcdr::CDRImage::m_x2

Referenced by CDRImage(), CDRImage(), and getMiddleX().

## m_y1

double libcdr::CDRImage::m_y1

Referenced by CDRImage(), CDRImage(), and getMiddleY().

## m_y2

double libcdr::CDRImage::m_y2

Referenced by CDRImage(), CDRImage(), and getMiddleY().

The documentation for this struct was generated from the following file:

- CDRTypes.h